Package it.ernytech.tdlib

## Class TdApi.SetInlineGameScore

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetInlineGameScore

Enclosing class:
  TdApi

    public static class TdApi.SetInlineGameScore
    extends TdApi.Function

Updates the game score of the specified user in a game; for bots only.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `editMessage` True, if the message should be edited.
`boolean` `force` Pass true to update the score even if it decreases.
`java.lang.String` `inlineMessageId` Inline message identifier.
`int` `score` The new score.
`int` `userId` User identifier.

### Constructor Summary

Constructors
`SetInlineGameScore()` Default constructor.
`SetInlineGameScore​(java.lang.String inlineMessageId, boolean editMessage, int userId, int score, boolean force)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### inlineMessageId

    public java.lang.String inlineMessageId

Inline message identifier.

#### editMessage

    public boolean editMessage

True, if the message should be edited.

#### userId

    public int userId

User identifier.

#### score

    public int score

The new score.

#### force

    public boolean force

Pass true to update the score even if it decreases. If the score is 0, the user will be deleted from the high score table.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetInlineGameScore

    public SetInlineGameScore()

Default constructor.

#### SetInlineGameScore

    public SetInlineGameScore​(java.lang.String inlineMessageId,
                              boolean editMessage,
                              int userId,
                              int score,
                              boolean force)

Constructor for initialization of all fields.

Parameters:
  `inlineMessageId` - Inline message identifier.
  `editMessage` - True, if the message should be edited.
  `userId` - User identifier.
  `score` - The new score.
  `force` - Pass true to update the score even if it decreases. If the score is 0, the user will be deleted from the high score table.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR